Bug 200495 - ASUS K7M BIOS starts beeping on boot
ASUS K7M BIOS starts beeping on boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 02:56 EDT by Dennis Wagelaar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 05:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output for kernel-2.6.16-1.2133_FC5 on an ASUS K7M motherboard (4.62 KB, text/plain)
2006-07-28 02:56 EDT, Dennis Wagelaar
no flags Details
The beep sound (104.54 KB, audio/x-wav)
2006-07-28 02:59 EDT, Dennis Wagelaar
no flags Details

  None (edit)
Description Dennis Wagelaar 2006-07-28 02:56:56 EDT
Description of problem:
Somewhere halfway into the boot-up, the system starts beeping. The beep is the
one you hear if a fan RPM level reaches zero (fan failure alarm). This normally
only happens if you enable BIOS monitoring on an unconnected fan lead.

Version-Release number of selected component (if applicable):
all versions after kernel-2.6.16-1.2133_FC5 up to 2.6.17-1.2157

How reproducible:
Boot-up, always

Steps to Reproduce:
1. Boot up
2.
3.
  
Actual results:
Somewhere halfway into the boot-up, the system starts beeping.

Expected results:
No beeping, unconnected fan leads remain unmonitored.

Additional info:
Hardware:
- ASUS K7M motherboard
- AMD Athlon 600MHz CPU

Will attach 'lspci -v' output...
Comment 1 Dennis Wagelaar 2006-07-28 02:56:56 EDT
Created attachment 133216 [details]
lspci -v output for kernel-2.6.16-1.2133_FC5 on an ASUS K7M motherboard
Comment 2 Dennis Wagelaar 2006-07-28 02:59:11 EDT
Created attachment 133217 [details]
The beep sound
Comment 3 Dennis Wagelaar 2006-08-16 04:53:17 EDT
'sensors' output on kernel-2.6.17-1.2174_FC5:

w83782d-isa-0290
Adapter: ISA adapter
VCore 1:   +1.65 V  (min =  +1.54 V, max =  +1.70 V)              (beep)
VCore 2:   +3.36 V  (min =  +1.54 V, max =  +1.70 V)       ALARM  (beep)
+3.3V:     +3.36 V  (min =  +3.14 V, max =  +3.46 V)              (beep)
+5V:       +5.08 V  (min =  +4.73 V, max =  +5.24 V)              (beep)
+12V:     +11.80 V  (min = +10.82 V, max = +13.19 V)              (beep)
-12V:     -12.20 V  (min = -13.18 V, max = -10.88 V)              (beep)
-5V:       -5.00 V  (min =  -5.25 V, max =  -4.75 V)              (beep)
V5SB:      +5.03 V  (min =  +4.73 V, max =  +5.24 V)
VBat:      +3.26 V  (min =  +2.40 V, max =  +3.60 V)
fan1:        0 RPM  (min = 4218 RPM, div = 4)              ALARM
fan2:     4440 RPM  (min = 3000 RPM, div = 2)                     (beep)
fan3:        0 RPM  (min =   -1 RPM, div = 2)              ALARM
temp1:       +29°C  (high =   +60°C, hyst =   +45°C)   sensor = thermistor     
     (beep)
temp2:     -48.0°C  (high =   +80°C, hyst =   +75°C)   sensor = thermistor
temp3:     -48.0°C  (high =   +80°C, hyst =    +3°C)   sensor = thermistor
vid:      +1.625 V  (VRM Version 9.0)
alarms:   Chassis intrusion detection                      ALARM
beep_enable:
          Sound alarm enabled

In the BIOS, "VCore 2" is called "VCache" and should be around 3.3V.

I also found out why I never had this problem on kernel-2.6.16-1.2133_FC5 or
earlier: here's the output of 'sensors' on kernel-2.6.16-1.2133_FC5:

w83782d-isa-0290
Adapter: ISA adapter
VCore 1:   +1.65 V  (min =  +1.54 V, max =  +1.70 V)
VCore 2:   +3.36 V  (min =  +1.54 V, max =  +1.70 V)       ALARM
+3.3V:     +3.36 V  (min =  +3.14 V, max =  +3.46 V)
+5V:       +5.08 V  (min =  +4.73 V, max =  +5.24 V)
+12V:     +11.80 V  (min = +10.82 V, max = +13.19 V)
-12V:     -12.20 V  (min = -13.18 V, max = -10.88 V)
-5V:       -5.00 V  (min =  -5.25 V, max =  -4.75 V)
V5SB:      +5.03 V  (min =  +4.73 V, max =  +5.24 V)
VBat:      +3.26 V  (min =  +2.40 V, max =  +3.60 V)
fan1:        0 RPM  (min = 8437 RPM, div = 2)              ALARM
fan2:     4720 RPM  (min = 3000 RPM, div = 2)
fan3:        0 RPM  (min =   -1 RPM, div = 2)              ALARM
temp1:       +28°C  (high =   +60°C, hyst =   +45°C)   sensor = thermistor
temp2:     -48.0°C  (high =   +80°C, hyst =   +75°C)   sensor = thermistor
temp3:     -48.0°C  (high =   +80°C, hyst =    +3°C)   sensor = thermistor
vid:      +1.625 V  (VRM Version 9.0)
alarms:   Chassis intrusion detection                      ALARM
beep_enable:
          Sound alarm disabled
Comment 4 Dennis Wagelaar 2006-08-16 05:00:13 EDT
The following commands work around the problem:

  cat /sys/bus/i2c/devices/9191-0290/in2_min >
/sys/bus/i2c/devices/9191-0290/in1_min

  cat /sys/bus/i2c/devices/9191-0290/in2_max >
/sys/bus/i2c/devices/9191-0290/in1_max
Comment 5 Dennis Wagelaar 2006-08-16 05:12:32 EDT
This problem is created by a "wrong" /etc/sensors.conf file, hence it is not a
kernel bug.

Note You need to log in before you can comment on or make changes to this bug.